Get Analytics
curl --request GET \
--url https://api.pandaprobe.com/traces/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/traces/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/traces/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"bucket": "<string>",
"trace_count": 0,
"error_count": 0,
"avg_latency_ms": 123,
"p50_latency_ms": 123,
"p90_latency_ms": 123,
"p99_latency_ms": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Traces
Get Analytics
Time-series analytics for traces.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
GET
/
traces
/
analytics
Get Analytics
curl --request GET \
--url https://api.pandaprobe.com/traces/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/traces/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/traces/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"bucket": "<string>",
"trace_count": 0,
"error_count": 0,
"avg_latency_ms": 123,
"p50_latency_ms": 123,
"p90_latency_ms": 123,
"p99_latency_ms": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available metric types for the analytics endpoint.
Available options:
volume, errors, latency, cost, tokens, models Time-bucket granularity for analytics queries.
Available options:
hour, day, week Response
Successful Response
- AnalyticsBucket · object[]
- TokenCostBucket · object[]
- TopModel · object[]
Time-bucketed trace volume, error, and latency statistics.

